Package org.eclipse.rdf4j.query.resultio.binary

## Class BinaryQueryResultParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser
    - - org.eclipse.rdf4j.query.resultio.binary.BinaryQueryResultParser

- All Implemented Interfaces:
    `QueryResultParser`, `TupleQueryResultParser`

      public class BinaryQueryResultParser
      extends AbstractTupleQueryResultParser

  Reader for the binary tuple result format. The format is explained in `BinaryQueryResultConstants`.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinaryQueryResultParser()` | Creates a new parser for the binary query result format that will use an instance of `SimpleValueFactory` to create Value objects.
    `BinaryQueryResultParser​(ValueFactory valueFactory)` | Creates a new parser for the binary query result format that will use the supplied ValueFactory to create Value objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` | Gets the query result format that this parser can parse.
    `void` | `parse​(InputStream in)` | Parses the data from the supplied InputStream.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser

      `getQueryResultFormat, parseQueryResult, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### BinaryQueryResultParser

          public BinaryQueryResultParser()

      Creates a new parser for the binary query result format that will use an instance of `SimpleValueFactory` to create Value objects.

    - #### BinaryQueryResultParser

          public BinaryQueryResultParser​(ValueFactory valueFactory)

      Creates a new parser for the binary query result format that will use the supplied ValueFactory to create Value objects.

  - ### Method Detail

    - #### getTupleQueryResultFormat

          public final TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultParser`
      Gets the query result format that this parser can parse.

    - #### parse

          public void parse​(InputStream in)
                     throws IOException,
                            QueryResultParseException,
                            TupleQueryResultHandlerException

      Description copied from interface: `TupleQueryResultParser`
      Parses the data from the supplied InputStream.
      Parameters:
        `in` - The InputStream from which to read the data.
      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `QueryResultParseException` - If the parser has encountered an unrecoverable parse error.
        `TupleQueryResultHandlerException` - If the configured query result handler has encountered an unrecoverable error.